#!/usr/bin/haserl
Content-Type: text/html

<html>
    <% . ./langdefs.sh %>
    <body>
        <h2><% eval_gettext "General information" %></h2>
        <p>
            <% 
                echo -n "<b>"
                eval_gettext "dSS11 image version"
                echo -n "</b>: "
                cat /etc/version
            %>
            <br/>
             <% 
                echo -n "<b>"
                eval_gettext "dSS11 web setup version"
                echo -n "</b>: "
                opkg list_installed dss11-websetup
            %>
            <br/>
             <%
                echo -n "<b>"
                eval_gettext "dSS web module version"
                echo -n "</b>: "
                opkg list_installed dss-web-module
            %>
            <br/>          
            <%
                echo -n "<b>"
                eval_gettext "Installed dSS package" 
                echo -n "</b>: "
                opkg list_installed dss
            %>
            <br/>
            <%
                echo -n "<b>"
                eval_gettext "Uptime"
                echo -n "</b>: "
                uptime 
            %>
            <br/>
            <%
                echo -n "<b>"
                eval_gettext "Last login"
                echo -n "</b>: "
                last | head -n 1 
            %>
            <br/>
            <%
                echo -n "<b>"
                eval_gettext "IP address"
                echo -n "</b>: "
                ifconfig eth0 | grep 'inet addr:'| cut -d: -f2 | awk '{ print $1}' | tail -n 1 
            %>
            <br/>
            <%
                echo -n "<b>"
                eval_gettext "MAC"
                echo -n "</b>: "
                ifconfig eth0 | grep 'HWaddr' | awk '{ print $5}'
            %>

        </p>
    </body>
</html>
